Phase Vocoder
===================================

.. currentmodule:: pyo

The phase vocoder is a digital signal processing technique of potentially 
great musical significance. It can be used to perform very high fidelity 
time scaling, pitch transposition, and myriad other modifications of sounds.

*PVAnal*
-----------------------------------

.. autoclass:: PVAnal
   :members:

   .. autoclasstoc::

*PVSynth*
-----------------------------------

.. autoclass:: PVSynth
   :members:

   .. autoclasstoc::

*PVAddSynth*
-----------------------------------

.. autoclass:: PVAddSynth
   :members:

   .. autoclasstoc::

*PVTranspose*
-----------------------------------

.. autoclass:: PVTranspose
   :members:

   .. autoclasstoc::

*PVVerb*
-----------------------------------

.. autoclass:: PVVerb
   :members:

   .. autoclasstoc::

*PVGate*
-----------------------------------

.. autoclass:: PVGate
   :members:

   .. autoclasstoc::

*PVCross*
-----------------------------------

.. autoclass:: PVCross
   :members:

   .. autoclasstoc::

*PVMult*
-----------------------------------

.. autoclass:: PVMult
   :members:

   .. autoclasstoc::

*PVMorph*
-----------------------------------

.. autoclass:: PVMorph
   :members:

   .. autoclasstoc::

*PVFilter*
-----------------------------------

.. autoclass:: PVFilter
   :members:

   .. autoclasstoc::

*PVDelay*
-----------------------------------

.. autoclass:: PVDelay
   :members:

   .. autoclasstoc::

*PVBuffer*
-----------------------------------

.. autoclass:: PVBuffer
   :members:

   .. autoclasstoc::

*PVShift*
-----------------------------------

.. autoclass:: PVShift
   :members:

   .. autoclasstoc::
       
*PVAmpMod*
-----------------------------------

.. autoclass:: PVAmpMod
   :members:

   .. autoclasstoc::
       
*PVFreqMod*
-----------------------------------

.. autoclass:: PVFreqMod
   :members:

   .. autoclasstoc::
       
*PVBufLoops*
-----------------------------------

.. autoclass:: PVBufLoops
   :members:

   .. autoclasstoc::

*PVBufTabLoops*
-----------------------------------

.. autoclass:: PVBufTabLoops
   :members:

   .. autoclasstoc::

*PVMix*
-----------------------------------

.. autoclass:: PVMix
   :members:

   .. autoclasstoc::
